Bug 97535 - [sound] [snd_mss] doesn't work in 6.0-RELEASE and above for Crystal soundcards
Summary: [sound] [snd_mss] doesn't work in 6.0-RELEASE and above for Crystal soundcards
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 6.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-20 23:20 UTC by The Master
Modified: 2018-01-03 05:15 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description The Master 2006-05-20 23:20:22 UTC
The driver for all major Crystal soundcards doesn't work. My motherboard has a Crystal Semiconductor CS4236, and I had two other Crystal cards lying around covered by the same driver snd_mss which also gave the exact same error message.

You can find full specifications of my computer (if needed) @ http://support.dell.com/support/edocs/systems/ban_gx1/specs.htm (It's the Pentium III 600MHz model). 

The error messages in question are as follows:
May 19 20:42:53 eve kernel: pcm0: <CS423x> at port 0x600-0x603,0x388-0x38b,0x220-0x22f irq 5 drq 1,0 pnpid CSC6835 on isa0
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 201000 0xff
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 1002000 0xff
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 203000 0xff
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 1002000 0xff
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 1000000 0xff
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 1000000 0xff
May 19 20:42:53 eve kernel: mss: Auto calibration timed out(1).
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 201000 0xff
May 19 20:42:53 eve last message repeated 100 times
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 1002000 0xff
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 201000 0xff
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 1002000 0xff
May 19 20:42:53 eve kernel: AD_WAIT_INIT FAILED 201000 0xff

After this the machine remains unresponsive to any user input (X freezes up, terminals are locked, and SSH as well) for a good 25 minutes, after that the sound device is available for use, but if I attempt to use it the computer freezes completely for an indefinite period of time.

It's like this for other Crystal cards I have as well. I also tried compiling the module into the kernel directly to no affect, and originally I installed 6.0-RELEASE using the ISO available on the site with no modifications or recompiling done. I upgraded to 7.0-CURRENT to see if my problem was resolved in a later version, which did not help.

If ACPI is disabled, I apparently get two pcm devices, one called pcm1 which after initialized causes AD_WAIT_INIT FAILED for 20 minutes, and pcm0 which initilized after the error message flood. After that passes, the speakers respond to beeps from tab completion in bash, but if I attempt to use mpg123 or mplayer the computer promptly freezes up with never-ending AD_WAIT_INIT FAILED messages regardless of whether I use the device node for pcm0 (dsp1.0) or pcm1 (dsp 1.1).

With ACPI off:
pcm1: <CS423x> at port 0x600-0x603,0x388-0x38b,0x220-0x22f irq 5 drq 1,0 pnpid CSC6835 on isa0
AD_WAIT_INIT FAILED 201000 0xff
AD_WAIT_INIT FAILED 1002000 0xff
AD_WAIT_INIT FAILED 203000 0xff
AD_WAIT_INIT FAILED 1002000 0xff
AD_WAIT_INIT FAILED 1000000 0xff
AD_WAIT_INIT FAILED 1000000 0xff
mss: Auto calibration timed out(1).
AD_WAIT_INIT FAILED 201000 0xff
(million more lines of this)
AD_WAIT_INIT FAILED 201000 0xff
AD_WAIT_INIT FAILED 1002000 0xff
pcm1: [GIANT-LOCKED]
pcm0: <CS4236> at port 0x530-0x537,0xe0e,0xf8c-0xf94 irq 5 drq 1 on isa0
device_attach: pcm0 attach returned 6
pcm0: <CS4236> at port 0x530-0x537,0xe0e,0xf8c-0xf94 irq 5 drq 1 on isa0
device_attach: pcm0 attach returned 6

How-To-Repeat: To repeat the problem I can either kldload snd_driver, kldload snd_mss, or I can compile the mss driver into the kernel itself.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-06-14 10:37:33 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-multimedia

Over to maintainer(s).
Comment 2 bolad03 2008-02-03 23:40:29 UTC
Confirming this problem on a Dell OptiPlex GX1 (Pentium III 500Mhz
model). It should be removed from the list of supported cards until this
is fixed. I worked around by the problem by disabling the sound card in
the BIOS and installing an old ISA Sound Blaster 16.
Comment 3 WATANABE Kazuhiro 2008-02-06 14:52:17 UTC
Hi.

I'm not a GX1 user, but I have been using the following soundcards
with the snd_mss(4) driver since FreeBSD 5.x.  They works fine.

 * AOpen AW37/Pro (CX4235, PnP, pcm2) on ABIT BH6

> uname -a
FreeBSD scorpio.sign.local 8.0-CURRENT FreeBSD 8.0-CURRENT #0: Tue Feb  5 03:26:18 JST 2008     nabe@capricorn:/FreeBSD/obj/i386/HEAD/FreeBSD/HEAD/src/sys/GENERIC  i386
> cat /dev/sndstat
FreeBSD Audio Driver (newpcm: 32bit 2007061600/i386)
Installed devices:
pcm0: <Avance Logic ALS4000> at io 0xe400 irq 9 kld snd_als4000 [MPSAFE] (1p:1v/1r:1v channels duplex default)
pcm1: <SB16 DSP 4.13> at io 0x240 irq 5 drq 1:5 bufsz 4096 kld snd_sb16 [GIANT] (1p:1v/1r:1v channels duplex)
pcm2: <CS423x> at io 0x534 irq 10 drq 3:0 bufsz 4096 [GIANT] (1p:1v/1r:1v channels duplex)

 * NEC PC-9821Xa9 on-board sound (CS4231A, non-PnP, pcm0)

> uname -a
FreeBSD aries.sign.local 8.0-CURRENT FreeBSD 8.0-CURRENT #0: Tue Feb  5 23:32:06 JST 2008     nabe@capricorn:/FreeBSD/obj/pc98/HEAD/pc98/FreeBSD/HEAD/src/sys/LEFTEYE  pc98
> cat /dev/sndstat 
FreeBSD Audio Driver (newpcm: 32bit 2007061600/i386)
Installed devices:
pcm0: <CS4231A> at io 0xf40 irq 10 drq 1 bufsz 4096 [GIANT] (1p:1v/1r:1v channels default)
pcm1: <SB16 DSP 4.13> at io 0x20d2 irq 12 drq 3 bufsz 4096 kld snd_sb16 [GIANT] (1p:1v/1r:1v channels)


I've searched the web.  It seems that OptiPlex GX1 has some problem
about the on-board sound (CS4236B) under Linux.  Some GX1 works with
manual configulation; but others does not.  I don't know what is
wrong.

Is the ISA Configulation Utility able to specify the sound chip's
resource (IRQ, port, etc.) instead of PnP?:

 http://support.dell.com/support/edocs/systems/ban_gx1/en/ref_ldt/utility.htm


Here is the BH6's verbose dmesg.

Copyright (c) 1992-2008 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 8.0-CURRENT #0: Tue Feb  5 03:26:18 JST 2008
    nabe@capricorn:/FreeBSD/obj/i386/HEAD/FreeBSD/HEAD/src/sys/GENERIC
WARNING: WITNESS option enabled, expect reduced performance.
Preloaded elf kernel "/boot/kernel/kernel" at 0xc0e6d000.
Preloaded elf module "/boot/kernel/snd_als4000.ko" at 0xc0e6d16c.
Preloaded elf module "/boot/kernel/sound.ko" at 0xc0e6d21c.
Preloaded elf module "/boot/kernel/snd_mss.ko" at 0xc0e6d2c8.
Preloaded elf module "/boot/kernel/snd_sb16.ko" at 0xc0e6d374.
Preloaded elf module "/boot/kernel/snd_sbc.ko" at 0xc0e6d424.
Preloaded elf module "/boot/kernel/acpi.ko" at 0xc0e6d4d0.
Calibrating clock(s) ... i8254 clock: 1193112 Hz
CLK_USE_I8254_CALIBRATION not specified - using default frequency
Timecounter "i8254" frequency 1193182 Hz quality 0
Calibrating TSC clock ... TSC clock: 751709621 Hz
CPU: Intel Pentium III (751.71-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0x681  Stepping = 1
  Features=0x383f9ff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,MMX,FXSR,SSE>

Instruction TLB: 4 KB pages, 4-way set associative, 32 entries
Instruction TLB: 4 MB pages, fully associative, 2 entries
Data TLB: 4 KB pages, 4-way set associative, 64 entries
2nd-level cache: 256 KB, 8-way set associative, 32 byte line size
1st-level instruction cache: 16 KB, 4-way set associative, 32 byte line size
Data TLB: 4 MB Pages, 4-way set associative, 8 entries
1st-level data cache: 16 KB, 4-way set associative, 32 byte line size
real memory  = 268369920 (255 MB)
Physical memory chunk(s):
0x0000000000001000 - 0x000000000009efff, 647168 bytes (158 pages)
0x0000000000100000 - 0x00000000003fffff, 3145728 bytes (768 pages)
0x0000000001025000 - 0x000000000fb6dfff, 246714368 bytes (60233 pages)
avail memory = 248971264 (237 MB)
bios32: Found BIOS32 Service Directory header at 0xc00faf00
bios32: Entry = 0xfb380 (c00fb380)  Rev = 0  Len = 1
pcibios: PCI BIOS entry at 0xf0000+0xb3b0
pnpbios: Found PnP BIOS data at 0xc00fbfd0
pnpbios: Entry = f0000:bff8  Rev = 1.0
Other BIOS signatures found:
ULE: setup cpu group 0
ULE: setup cpu 0
ULE: adding cpu 0 to group 0: cpus 1 mask 0x1
ath_rate: version 1.2 <SampleRate bit-rate selection algorithm>
wlan_amrr: <AMRR Transmit Rate Control Algorithm>
wlan: <802.11 Link Layer>
snd_unit_init() u=0x00ff8000 [512] d=0x00007c00 [32] c=0x000003ff [1024]
feeder_register: snd_unit=-1 snd_maxautovchans=16 latency=5 feeder_buffersize=16384 feeder_rate_min=1 feeder_rate_max=2016000 feeder_rate_round=25
random: <entropy source, Software, Yarrow>
nfslock: pseudo-device
io: <I/O>
kbd: new array size 4
kbd1 at kbdmux0
mem: <memory>
Pentium Pro MTRR support enabled
null: <null device, zero device>
ath_hal: 0.9.20.3 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
hptrr: HPT RocketRAID controller driver v1.1 (Feb  5 2008 03:25:45)
ACPI: RSDP @ 0x0xf6ec0/0x0014 (v  0 ABIT  )
ACPI: RSDT @ 0x0xfff3000/0x0028 (v  1 ABIT   AWRDACPI 0x42302E31 AWRD 0x00000000)
ACPI: FACP @ 0x0xfff3040/0x0074 (v  1 ABIT   AWRDACPI 0x42302E31 AWRD 0x00000000)
ACPI: DSDT @ 0x0xfff30c0/0x1E65 (v  1 ABIT   AWRDACPI 0x00001000 MSFT 0x0100000C)
ACPI: FACS @ 0x0xfff0000/0x0040
npx0: INT 16 interface
acpi0: <ABIT AWRDACPI> on motherboard
acpi0: [MPSAFE]
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
acpi0: wakeup code va 0xc6ffe000 pa 0x1000
pci_open(1):	mode 1 addr port (0x0cf8) is 0x80005810
pci_open(1a):	mode1res=0x80000000 (0x80000000)
pci_cfgcheck:	device 0 [class=060000] [hdr=00] is there (id=71908086)
pcibios: BIOS version 2.10
acpi_bus_number: root bus has no _BBN, assuming 0
AcpiOsDerivePciId: \\_SB_.PCI0.PX40.PIRQ -> bus 0 dev 7 func 0
acpi0: reservation of 0, a0000 (3) failed
acpi0: reservation of 100000, fef0000 (3) failed
ACPI timer: 0/4 0/3 0/3 0/3 0/3 0/3 0/3 0/3 0/3 0/3 -> 0
Timecounter "ACPI-safe" frequency 3579545 Hz quality 850
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x4008-0x400b on acpi0
pci_link0:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0   12   N     0  3 4 5 6 7 10 11 12 14 15
  Validation          0   12   N     0  3 4 5 6 7 10 11 12 14 15
  After Disable       0  255   N     0  3 4 5 6 7 10 11 12 14 15
pci_link1:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0    9   N     0  3 4 5 6 7 10 11 12 14 15
  Validation          0    9   N     0  3 4 5 6 7 10 11 12 14 15
  After Disable       0  255   N     0  3 4 5 6 7 10 11 12 14 15
pci_link2:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0    9   N     0  3 4 5 6 7 10 11 12 14 15
  Validation          0    9   N     0  3 4 5 6 7 10 11 12 14 15
  After Disable       0  255   N     0  3 4 5 6 7 10 11 12 14 15
pci_link3:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0    9   N     0  3 4 5 6 7 10 11 12 14 15
  Validation          0    9   N     0  3 4 5 6 7 10 11 12 14 15
  After Disable       0  255   N     0  3 4 5 6 7 10 11 12 14 15
cpu0: <ACPI CPU> on acpi0
cpu0: switching to generic Cx mode
acpi_throttle0: <ACPI CPU Throttling> on cpu0
acpi_throttle0: P_CNT from P_BLK 0x4010
acpi_button0: <Power Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff,0x4000-0x4041,0x5000-0x500f on acpi0
ACPI: Found matching pin for 0.15.INTA at func 0: 12
ACPI: Found matching pin for 0.13.INTA at func 0: 9
ACPI: Found matching pin for 0.11.INTA at func 0: 9
ACPI: Found matching pin for 0.9.INTA at func 0: 9
ACPI: Found matching pin for 0.7.INTD at func 2: 9
pci0: <ACPI PCI bus> on pcib0
pci0: domain=0, physical bus=0
found->	vendor=0x8086, dev=0x7190, revid=0x03
	domain=0, bus=0, slot=0, func=0
	class=06-00-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0006, statreg=0x2210, cachelnsz=0 (dwords)
	lattimer=0x20 (960 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	map[10]: type Prefetchable Memory, range 32, base rxd0000000, size 26, enabled
found->	vendor=0x8086, dev=0x7191, revid=0x03
	domain=0, bus=0, slot=1, func=0
	class=06-04-00, hdrtype=0x01, mfdev=0
	cmdreg=0x0107, statreg=0x0220, cachelnsz=0 (dwords)
	lattimer=0x40 (1920 ns), mingnt=0x88 (34000 ns), maxlat=0x00 (0 ns)
found->	vendor=0x8086, dev=0x7110, revid=0x02
	domain=0, bus=0, slot=7, func=0
	class=06-01-00, hdrtype=0x00, mfdev=1
	cmdreg=0x000f, statreg=0x0280, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
found->	vendor=0x8086, dev=0x7111, revid=0x01
	domain=0, bus=0, slot=7, func=1
	class=01-01-80, hdrtype=0x00, mfdev=0
	cmdreg=0x0005, statreg=0x0280, cachelnsz=0 (dwords)
	lattimer=0x20 (960 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	map[20]: type I/O Port, range 32, base rxf000, size  4, enabled
found->	vendor=0x8086, dev=0x7112, revid=0x01
	domain=0, bus=0, slot=7, func=2
	class=0c-03-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0005, statreg=0x0280, cachelnsz=0 (dwords)
	lattimer=0x20 (960 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=d, irq=9
	map[20]: type I/O Port, range 32, base rxd000, size  5, enabled
pcib0: matched entry for 0.7.INTD (src \\_SB_.PCI0.ISA_.LNKD:0)
pcib0: slot 7 INTD routed to irq 9 via \\_SB_.PCI0.ISA_.LNKD
found->	vendor=0x8086, dev=0x7113, revid=0x02
	domain=0, bus=0, slot=7, func=3
	class=06-80-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0003, statreg=0x0280, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	map[90]: type I/O Port, range 32, base rx5000, size  4, enabled
found->	vendor=0x4005, dev=0x4000, revid=0x00
	domain=0, bus=0, slot=9, func=0
	class=04-01-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0005, statreg=0x0210, cachelnsz=0 (dwords)
	lattimer=0x20 (960 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=9
	powerspec 2  supports D0 D2 D3  current D0
	map[10]: type I/O Port, range 32, base rxd400, size  7, enabled
pcib0: matched entry for 0.9.INTA (src \\_SB_.PCI0.ISA_.LNKD:0)
pcib0: slot 9 INTA routed to irq 9 via \\_SB_.PCI0.ISA_.LNKD
found->	vendor=0x10b7, dev=0x9200, revid=0x74
	domain=0, bus=0, slot=11, func=0
	class=02-00-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0007, statreg=0x0210, cachelnsz=8 (dwords)
	lattimer=0x20 (960 ns), mingnt=0x0a (2500 ns), maxlat=0x0a (2500 ns)
	intpin=a, irq=9
	powerspec 2  supports D0 D1 D2 D3  current D0
	map[10]: type I/O Port, range 32, base rxd800, size  7, enabled
	map[14]: type Memory, range 32, base rxd9000000, size  7, enabled
pcib0: matched entry for 0.11.INTA (src \\_SB_.PCI0.ISA_.LNKC:0)
pcib0: slot 11 INTA routed to irq 9 via \\_SB_.PCI0.ISA_.LNKC
found->	vendor=0x134d, dev=0x7891, revid=0x02
	domain=0, bus=0, slot=13, func=0
	class=07-03-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0001, statreg=0x0210, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=9
	powerspec 2  supports D0 D2 D3  current D0
	map[10]: type I/O Port, range 32, base rxdc00, size  6, enabled
pcib0: matched entry for 0.13.INTA (src \\_SB_.PCI0.ISA_.LNKB:0)
pcib0: slot 13 INTA routed to irq 9 via \\_SB_.PCI0.ISA_.LNKB
found->	vendor=0x11c1, dev=0x0440, revid=0x01
	domain=0, bus=0, slot=15, func=0
	class=07-80-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0007, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0xfc (63000 ns), maxlat=0x0e (3500 ns)
	intpin=a, irq=12
	powerspec 2  supports D0 D2 D3  current D0
	map[10]: type Memory, range 32, base rxd9001000, size  8, enabled
	map[14]: type I/O Port, range 32, base rxe000, size  3, enabled
	map[18]: type I/O Port, range 32, base rxe400, size  8, enabled
pcib0: matched entry for 0.15.INTA (src \\_SB_.PCI0.ISA_.LNKA:0)
pcib0: slot 15 INTA routed to irq 12 via \\_SB_.PCI0.ISA_.LNKA
agp0: <Intel 82443BX (440 BX) host to PCI bridge> on hostb0
hostb0: Reserved 0x4000000 bytes for rid 0x10 type 3 at 0xd0000000
agp0: allocating GATT for aperture of size 64M
pcib1: <PCI-PCI bridge> at device 1.0 on pci0
pcib1:   domain            0
pcib1:   secondary bus     1
pcib1:   subordinate bus   1
pcib1:   I/O decode        0xc000-0xcfff
pcib1:   memory decode     0xd4000000-0xd7ffffff
pcib1:   no prefetched decode
pci1: <PCI bus> on pcib1
pci1: domain=0, physical bus=1
found->	vendor=0x1002, dev=0x474d, revid=0x65
	domain=0, bus=1, slot=0, func=0
	class=03-00-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0087, statreg=0x0290, cachelnsz=8 (dwords)
	lattimer=0x20 (960 ns), mingnt=0x08 (2000 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=12
	powerspec 1  supports D0 D1 D2 D3  current D0
	map[10]: type Memory, range 32, base rxd4000000, size 24, enabled
pcib1: requested memory range 0xd4000000-0xd4ffffff: good
	map[14]: type I/O Port, range 32, base rxc000, size  8, enabled
pcib1: requested I/O range 0xc000-0xc0ff: in range
	map[18]: type Memory, range 32, base rxd6000000, size 12, enabled
pcib1: requested memory range 0xd6000000-0xd6000fff: good
pcib0: matched entry for 0.1.INTA (src \\_SB_.PCI0.ISA_.LNKA:0)
pcib0: slot 1 INTA routed to irq 12 via \\_SB_.PCI0.ISA_.LNKA
pcib1: slot 0 INTA is routed to irq 12
vgapci0: <VGA-compatible display> port 0xc000-0xc0ff mem 0xd4000000-0xd4ffffff,0xd6000000-0xd6000fff irq 12 at device 0.0 on pci1
isab0: <PCI-ISA bridge> at device 7.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel PIIX4 UDMA33 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0xf000-0xf00f at device 7.1 on pci0
atapci0: Reserved 0x10 bytes for rid 0x20 type 4 at 0xf000
ata0: <ATA channel 0> on atapci0
atapci0: Reserved 0x8 bytes for rid 0x10 type 4 at 0x1f0
atapci0: Reserved 0x1 bytes for rid 0x14 type 4 at 0x3f6
ata0: reset tp1 mask=03 ostat0=50 ostat1=10
ata0: stat0=0x50 err=0x01 lsb=0x00 msb=0x00
ata0: stat1=0x10 err=0x01 lsb=0x14 msb=0xeb
ata0: reset tp2 stat0=50 stat1=10 devices=0x9<ATAPI_SLAVE,ATA_MASTER>
ata0: [MPSAFE]
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
atapci0: Reserved 0x8 bytes for rid 0x18 type 4 at 0x170
atapci0: Reserved 0x1 bytes for rid 0x1c type 4 at 0x376
ata1: reset tp1 mask=03 ostat0=01 ostat1=00
ata1: stat0=0x25 err=0x25 lsb=0x25 msb=0x25
ata1: stat0=0x00 err=0x00 lsb=0x00 msb=0x00
ata1: stat1=0x00 err=0x00 lsb=0x00 msb=0x00
ata1: reset tp2 stat0=00 stat1=00 devices=0x0
ata1: [MPSAFE]
ata1: [ITHREAD]
uhci0: <Intel 82371AB/EB (PIIX4) USB controller> port 0xd000-0xd01f irq 9 at device 7.2 on pci0
uhci0: Reserved 0x20 bytes for rid 0x20 type 4 at 0xd000
uhci0: [GIANT-LOCKED]
uhci0: [ITHREAD]
usb0: <Intel 82371AB/EB (PIIX4) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
pci0: <bridge> at device 7.3 (no driver attached)
pcm0: <Avance Logic ALS4000> port 0xd400-0xd47f irq 9 at device 9.0 on pci0
pcm0: Reserved 0x80 bytes for rid 0x10 type 4 at 0xd400
pcm0: [MPSAFE]
pcm0: [ITHREAD]
pcm0: Mixer "vol":
pcm0: Mixer "bass":
pcm0: Mixer "treble":
pcm0: Mixer "synth":
pcm0: Mixer "pcm":
pcm0: Mixer "speaker":
pcm0: Mixer "line":
pcm0: Mixer "mic":
pcm0: Mixer "cd":
pcm0: Mixer "igain":
pcm0: Mixer "ogain":
pcm0: clone manager: deadline=750ms flags=0x8000001e
pcm0: sndbuf_setmap 4000, 4000; 0xcc724000 -> 4000
pcm0: sndbuf_setmap 98000, 4000; 0xcc728000 -> 98000
xl0: <3Com 3c905C-TX Fast Etherlink XL> port 0xd800-0xd87f mem 0xd9000000-0xd900007f irq 9 at device 11.0 on pci0
xl0: Reserved 0x80 bytes for rid 0x14 type 3 at 0xd9000000
xl0: using memory mapped I/O
xl0: media options word: a
xl0: found MII/AUTO
miibus0: <MII bus> on xl0
xlphy0: <3c905C 10/100 internal PHY> PHY 24 on miibus0
xlphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
xl0: bpf attached
xl0: Ethernet address: 00:50:04:xx:xx:xx
xl0: [MPSAFE]
xl0: [ITHREAD]
pci0: <simple comms, generic modem> at device 13.0 (no driver attached)
pci0: <simple comms> at device 15.0 (no driver attached)
fdc0: <floppy drive controller> port 0x3f2-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: ic_type 90 part_id 80
fdc0: [FILTER]
sio0: irq maps: 0x1 0x11 0x1 0x1
sio0: irq maps: 0x1 0x11 0x1 0x1
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A, console
sio0: [FILTER]
sio1: irq maps: 0x1 0x9 0x1 0x1
sio1: irq maps: 0x1 0x9 0x1 0x1
sio1: <16550A-compatible COM port> port 0x2f8-0x2ff irq 3 on acpi0
sio1: type 16550A
sio1: [FILTER]
unknown: status reg test failed 0
unknown: status reg test failed ff
unknown: status reg test failed ff
unknown: status reg test failed ff
unknown: status reg test failed ff
unknown: status reg test failed ff
ex_isa_identify()
ahc_isa_probe 13: ioport 0xdc00 alloc failed
ata: ata0 already exists; skipping it
ata: ata1 already exists; skipping it
fdc: fdc0 already exists; skipping it
sio: sio0 already exists; skipping it
sio: sio1 already exists; skipping it
pnp_identify: Trying Read_Port at 203
pnp_identify: Trying Read_Port at 243
CSC0000: start dependent (0)
CSC0000: adding dma mask 0x2
CSC0000: adding dma mask 0x9
CSC0000: adding irq mask 0x20
CSC0000: adding io range 0x534-0x537, size=0x4, align=0x4
CSC0000: adding io range 0x388-0x38b, size=0x4, align=0x8
CSC0000: adding io range 0x220-0x22f, size=0x10, align=0x20
CSC0000: start dependent (1)
CSC0000: adding dma mask 0xa
CSC0000: adding dma mask 0xb
CSC0000: adding irq mask 0x9ea0
CSC0000: adding io range 0x534-0xfff, size=0x4, align=0x4
CSC0000: adding io range 0x388-0x38b, size=0x4, align=0x8
CSC0000: adding io range 0x220-0x26f, size=0x10, align=0x20
CSC0000: start dependent (2)
CSC0000: adding dma mask 0xb
CSC0000: adding irq mask 0x9ea0
CSC0000: adding io range 0x534-0xfff, size=0x4, align=0x4
CSC0000: adding io range 0x388-0x3cb, size=0x4, align=0x8
CSC0000: adding io range 0x220-0x30f, size=0x10, align=0x20
CSC0000: end dependent
CSC0001: start dependent (0)
CSC0001: adding io range 0x200-0x207, size=0x8, align=0x8
CSC0001: start dependent (1)
CSC0001: adding io range 0x208-0x20f, size=0x8, align=0x8
CSC0001: end dependent
CSC0010: adding io range 0x120-0x3af, size=0x8, align=0x8
CSC0003: start dependent (0)
CSC0003: adding irq mask 0x200
CSC0003: adding io range 0x330-0x331, size=0x2, align=0x8
CSC0003: start dependent (1)
CSC0003: adding irq mask 0x9e00
CSC0003: adding io range 0x330-0x361, size=0x2, align=0x8
CSC0003: start dependent (2)
CSC0003: adding io range 0x330-0x3e1, size=0x2, align=0x8
CSC0003: end dependent
PNP Identify complete
sc: sc0 already exists; skipping it
vga: vga0 already exists; skipping it
isa_probe_children: disabling PnP devices
isa_probe_children: probing non-PnP devices
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xc97ff,0xcc000-0xcc7ff pnpid ORM0000 on isa0
adv0: not probed (disabled)
aha0: not probed (disabled)
aic0: not probed (disabled)
atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
kbd0: atkbd0, generic (0), config:0x0, flags:0x1f0000
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
psm0: current command byte:0067
psm0: failed to reset the aux device.
bt0: not probed (disabled)
cs0: not probed (disabled)
ed0: not probed (disabled)
fe0: not probed (disabled)
ie0: not probed (disabled)
le0: not probed (disabled)
ppc0: parallel port found at 0x378
ppc0: using extended I/O port range
ppc0: SPP
ppc0: <Parallel port> at port 0x378-0x37f irq 7 on isa0
ppc0: Generic chipset (NIBBLE-only) in COMPATIBLE mode
ppbus0: <Parallel port bus> on ppc0
ppbus0: [MPSAFE]
ppbus0: [ITHREAD]
plip0: <PLIP network interface> on ppbus0
plip0: bpf attached
lpt0: <Printer> on ppbus0
lpt0: Interrupt-driven port
ppi0: <Parallel I/O> on ppbus0
ppc0: [GIANT-LOCKED]
ppc0: [ITHREAD]
sbc0: <SoundBlaster 16> at port 0x240-0x24f irq 5 drq 1 flags 0x15 on isa0
sbc0: setting card to irq 5, drq 1, 5
sbc0: [GIANT-LOCKED]
sbc0: [ITHREAD]
pcm1: <SB16 DSP 4.13> on sbc0
pcm1: Mixer "vol":
pcm1: Mixer "bass":
pcm1: Mixer "treble":
pcm1: Mixer "synth":
pcm1: Mixer "pcm":
pcm1: Mixer "speaker":
pcm1: Mixer "line":
pcm1: Mixer "mic":
pcm1: Mixer "cd":
pcm1: Mixer "igain":
pcm1: Mixer "ogain":
pcm1: Mixer "line1":
pcm1: [GIANT-LOCKED]
pcm1: [ITHREAD]
pcm1: clone manager: deadline=750ms flags=0x8000001e
pcm1: sndbuf_setmap 3000, 1000; 0xcc768000 -> 3000
pcm1: sndbuf_setmap 9c000, 1000; 0xcc769000 -> 9c000
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x100>
sc0: fb0, kbd1, terminal emulator: sc (syscons terminal)
sio2: not probed (disabled)
sio3: not probed (disabled)
sn0: not probed (disabled)
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
isa_probe_children: probing PnP devices
pcm2: <CS423x> at port 0x534-0x537,0x388-0x38b,0x220-0x22f irq 10 drq 3,0 pnpid CSCd925 on isa0
pcm2: Mixer "synth":
pcm2: Mixer "pcm":
pcm2: Mixer "speaker":
pcm2: Mixer "line":
pcm2: Mixer "mic":
pcm2: Mixer "cd":
pcm2: Mixer "mix":
pcm2: Mixer "igain":
pcm2: [GIANT-LOCKED]
pcm2: [ITHREAD]
pcm2: clone manager: deadline=750ms flags=0x8000001e
pcm2: sndbuf_setmap 1b000, 1000; 0xcc76f000 -> 1b000
pcm2: sndbuf_setmap 1c000, 1000; 0xcc770000 -> 1c000
unknown: <GAME> failed to probe at port 0x200-0x207 pnpid CSCd925 on isa0
unknown: <CTRL> failed to probe at port 0x120-0x127 pnpid CSCd925 on isa0
unknown: <MPU> failed to probe at port 0x330-0x331 irq 11 pnpid CSCd925 on isa0
Device configuration finished.
procfs registered
Timecounter "TSC" frequency 751709621 Hz quality 800
Timecounters tick every 1.000 msec
lo0: bpf attached
hptrr: no controller detected.
ata0-slave: pio=PIO4 wdma=WDMA2 udma=UDMA33 cable=40 wire
ata0-master: pio=PIO4 wdma=WDMA2 udma=UDMA33 cable=40 wire
ad0: setting PIO4 on PIIX4 chip
ad0: setting UDMA33 on PIIX4 chip
ad0: 6194MB <TOSHIBA MK6411MAT J0.05 B> at ata0-master UDMA33
ad0: 12685680 sectors [13424C/15H/63S] 16 sectors/interrupt 1 depth queue
GEOM: new disk ad0
ad0: Intel check1 failed
ad0: Adaptec check1 failed
ad0: LSI (v3) check1 failed
ad0: LSI (v2) check1 failed
ad0: FreeBSD check1 failed
acd0: setting PIO4 on PIIX4 chip
acd0: <LTN301/MM06> CDROM drive at ata0 as slave
acd0: read 5511KB/s (5511KB/s), 120KB buffer, PIO4
acd0: Reads: CDDA
acd0: Writes:
acd0: Audio: play, 255 volume levels
acd0: Mechanism: ejectable tray, unlocked
acd0: Medium: CD-ROM 120mm audio disc
ATA PseudoRAID loaded
WARNING: WITNESS option enabled, expect reduced performance.
Trying to mount root from ufs:/dev/ad0s2a
start_init: trying /sbin/init
splash: image decoder found: green_saver
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:52 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped